
if [ "x$DBUS_SESSION_BUS_ADDRESS" == "x" ] ; then
   PIDOF_METADATA=$(pidof gvfsd-metadata)
   if [ -f /proc/$PIDOF_METADATA/environ ] ; then
      SESSION_BUS=`tr '\0' '\n' < /proc/$PIDOF_METADATA/environ | sort`
      echo "# SESSION_BUS environment" > $HOME/session-bus.log
      echo "$SESSION_BUS" >> $HOME/session-bus.log
   fi

   if [ "x$SESSION_BUS" != "x" ] ; then
      DBUS_SESSION_BUS_ADDRESS=`echo "$SESSION_BUS" | grep "DBUS_SESSION_BUS_ADDRESS" | cut -d "=" -f 2-`
      if [ "x$DBUS_SESSION_BUS_ADDRESS" != "x" ] ; then
         export DBUS_SESSION_BUS_ADDRESS=$DBUS_SESSION_BUS_ADDRESS
      fi
   fi
fi
